> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar chaves

> Lista todas as chaves PIX registradas em uma conta. Retorna um array de entradas de chaves PIX, cada uma com seu codigo de status atual (veja KeyStatusEnum para valores: -1=CANCELLED, 0=FINALIZED, 1=ACTIVE, etc.).




## OpenAPI

````yaml pt/openapi/v3-current/pix.yaml GET /v1/entries
openapi: 3.0.3
info:
  title: Plugin BR Pix Direct - API Completa
  description: >
    API completa para o sistema de pagamentos instantaneos PIX brasileiro,
    incluindo

    operacoes de dicionario de chaves PIX, geracao/decodificacao de QR codes,
    transacoes e

    limites de transacao.
  version: 1.0.0
servers:
  - url: https://plugin-pix-direct.api.lerian.net
  - url: https://plugin-pix-direct-qrcode.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/entries:
    get:
      tags:
        - API de Chaves DICT
      summary: Listar chaves
      description: >
        Lista todas as chaves PIX registradas em uma conta. Retorna um array de
        entradas de chaves PIX, cada uma com seu codigo de status atual (veja
        KeyStatusEnum para valores: -1=CANCELLED, 0=FINALIZED, 1=ACTIVE, etc.).
      parameters:
        - $ref: '#/components/parameters/AccountIdQuery'
      responses:
        '200':
          description: Chaves PIX recuperadas com sucesso
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PixKeyEntry'
              example:
                - key: '+5511987654321'
                  status: 1
                  statusDescription: ACTIVE
                  comment: status 1 = ACTIVE - phone key is active and operational
                - key: user@example.com
                  status: 1
                  statusDescription: ACTIVE
                  comment: status 1 = ACTIVE - email key is active and operational
                - key: '12345678901'
                  status: 0
                  statusDescription: FINALIZED
                  comment: status 0 = FINALIZED - CPF key pending confirmation
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    AccountIdQuery:
      name: account_id
      in: query
      required: false
      description: Identificador da conta.
      schema:
        type: string
        format: uuid
      example: 019c96a0-0a98-7287-9a31-786e0809c769
  schemas:
    PixKeyEntry:
      type: object
      required:
        - key
        - status
        - statusDescription
      properties:
        key:
          type: string
          description: Valor da chave PIX.
          example: '+5511987654321'
        status:
          $ref: '#/components/schemas/KeyStatusEnum'
        statusDescription:
          type: string
          description: >-
            Descricao legivel do status correspondente ao codigo de status
            numerico.
          example: REGISTERED
    KeyStatusEnum:
      type: integer
      description: >
        Codigo de status de registro da chave PIX. Indica o estado atual de uma
        chave PIX em seu ciclo de vida.


        **Valores validos:**

        - `-1` = CANCELLED (Registro da chave foi cancelado)

        - `0` = FINALIZED (Chave finalizada/aguardando confirmacao)

        - `1` = ACTIVE (Chave ativa e operacional)

        - `2` = WAITING_OWNERSHIP_CONFIRMATION (Aguardando confirmacao de
        propriedade do usuario)

        - `3` = CREATING (Chave esta sendo criada no sistema)

        - `4` = IM_CLAIMER_PENDING_CONFIRM_CLAIM_REQUEST (Sou reivindicador,
        aguardando confirmacao da reivindicacao)

        - `5` = IM_CLAIMER_PENDING_OWNER_GIVEWAY (Sou reivindicador, aguardando
        proprietario atual liberar a chave)

        - `6` = IM_OWNER_PENDING_GIVEAWAY_CONFIRM (Sou proprietario, aguardando
        aprovacao para transferir a chave)

        - `7` = IM_CLAIMER_AND_OWNER_GAVEAWAY_PENDING_MY_CONFIRM (Transferencia
        iniciada, aguardando minha confirmacao)
      enum:
        - -1
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      x-enum-varnames:
        - CANCELLED
        - FINALIZED
        - ACTIVE
        - WAITING_OWNERSHIP_CONFIRMATION
        - CREATING
        - IM_CLAIMER_PENDING_CONFIRM_CLAIM_REQUEST
        - IM_CLAIMER_PENDING_OWNER_GIVEWAY
        - IM_OWNER_PENDING_GIVEAWAY_CONFIRM
        - IM_CLAIMER_AND_OWNER_GAVEAWAY_PENDING_MY_CONFIRM
      example: 1
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: Codigo do erro
        message:
          type: string
          description: Mensagem de erro
        details:
          type: array
          items:
            type: string
          description: Detalhes adicionais do erro
  responses:
    Unauthorized:
      description: Nao Autorizado - Autenticacao invalida ou ausente
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing authentication token
              value:
                code: MISSING_TOKEN
                message: Authorization header is required
                details: []
            invalid_token:
              summary: Invalid token
              value:
                code: INVALID_TOKEN
                message: Invalid or expired access token
                details: []
            expired_token:
              summary: Expired token
              value:
                code: TOKEN_EXPIRED
                message: Access token has expired. Please obtain a new token.
                details: []
    NotFound:
      description: Nao Encontrado - Recurso nao existe
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            pix_key_not_found:
              summary: Pix key not found
              value:
                code: PIX_KEY_NOT_FOUND
                message: PIX key does not exist or is not registered
                details: []
            account_not_found:
              summary: Account not found
              value:
                code: ACCOUNT_NOT_FOUND
                message: Account with specified ID does not exist
                details: []
            transaction_not_found:
              summary: Transaction not found
              value:
                code: TRANSACTION_NOT_FOUND
                message: Transaction not found
                details: []
    InternalServerError:
      description: Erro Interno do Servidor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            generic_error:
              summary: Generic internal error
              value:
                code: INTERNAL_ERROR
                message: An internal error occurred. Please try again later.
                details: []
            database_error:
              summary: Database error
              value:
                code: DATABASE_ERROR
                message: Database operation failed
                details: []
            external_service_error:
              summary: External service error
              value:
                code: EXTERNAL_SERVICE_ERROR
                message: External service (JD PIX) is temporarily unavailable
                details: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Autenticacao por token JWT Bearer. Obtenha o token no endpoint
        `/v1/login/oauth/access_token`

        usando credenciais do cliente (clientId e clientSecret).


        Inclua o token no header Authorization:

        `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...`


        O token expira apos 3600 segundos (1 hora).

````